function [FA_mat] = calcFA(eig_val_matrix)

[~, ~, m, n] = size(eig_val_matrix);

FA_mat = zeros(m,n);

for i=1:m
    for j=1:n
        y1 = eig_val_matrix(3,3,i,j);
        y2 = eig_val_matrix(2,2,i,j);
        y3 = eig_val_matrix(1,1,i,j);
        FA_mat(i,j) = sqrt(0.5)*sqrt((y1-y2)^2+(y2-y3)^2+(y3-y1)^2)/sqrt(y1^2+y2^2+y3^3);
    end
end
