function [MD_mat] = calcMD(eig_val_matrix)

[~, ~, m, n, q] = size(eig_val_matrix);

MD_mat = zeros(m,n);

for i=1:m
    for j=1:n
        for k=1:q
        y1 = eig_val_matrix(3,3,i,j,k);
        y2 = eig_val_matrix(2,2,i,j,k);
        y3 = eig_val_matrix(1,1,i,j,k);
        MD_mat(i,j,k) = (y1+y2+y3)/3;
        end
    end
end
